# Interface FragmentPackageImpl.Literals

Enclosing class:
  `FragmentPackageImpl`

public static interface FragmentPackageImpl.Literals
Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

## Field Summary

Fields
Modifier and Type
Field
Description
`static final org.eclipse.emf.ecore.EClass`
`MODEL_FRAGMENT`
The meta object literal for the '`Model Fragment`' class.
`static final org.eclipse.emf.ecore.EOperation`
`MODEL_FRAGMENT___MERGE__MAPPLICATION`
The meta object literal for the 'Merge' operation.
`static final org.eclipse.emf.ecore.EReference`
`MODEL_FRAGMENT__ELEMENTS`
The meta object literal for the 'Elements' containment reference list feature.
`static final org.eclipse.emf.ecore.EClass`
`MODEL_FRAGMENTS`
The meta object literal for the '`Model Fragments`' class.
`static final org.eclipse.emf.ecore.EReference`
`MODEL_FRAGMENTS__FRAGMENTS`
The meta object literal for the 'Fragments' containment reference list feature.
`static final org.eclipse.emf.ecore.EReference`
`MODEL_FRAGMENTS__IMPORTS`
The meta object literal for the 'Imports' containment reference list feature.
`static final org.eclipse.emf.ecore.EClass`
`STRING_MODEL_FRAGMENT`
The meta object literal for the '`String Model Fragment`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`STRING_MODEL_FRAGMENT__FEATURENAME`
The meta object literal for the 'Featurename' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`STRING_MODEL_FRAGMENT__PARENT_ELEMENT_ID`
The meta object literal for the 'Parent Element Id' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`STRING_MODEL_FRAGMENT__POSITION_IN_LIST`
The meta object literal for the 'Position In List' attribute feature.

## Field Details

### MODEL_FRAGMENTS

static final org.eclipse.emf.ecore.EClass MODEL_FRAGMENTS
The meta object literal for the '`Model Fragments`' class.

Since:
  1.0
See Also:
  - `ModelFragmentsImpl`
  - `FragmentPackageImpl.getModelFragments()`

### MODEL_FRAGMENTS__IMPORTS

static final org.eclipse.emf.ecore.EReference MODEL_FRAGMENTS__IMPORTS
The meta object literal for the 'Imports' containment reference list feature.

Since:
  1.0

### MODEL_FRAGMENTS__FRAGMENTS

static final org.eclipse.emf.ecore.EReference MODEL_FRAGMENTS__FRAGMENTS
The meta object literal for the 'Fragments' containment reference list feature.

Since:
  1.0

### MODEL_FRAGMENT

static final org.eclipse.emf.ecore.EClass MODEL_FRAGMENT
The meta object literal for the '`Model Fragment`' class.

Since:
  1.0
See Also:
  - `ModelFragmentImpl`
  - `FragmentPackageImpl.getModelFragment()`

### MODEL_FRAGMENT__ELEMENTS

static final org.eclipse.emf.ecore.EReference MODEL_FRAGMENT__ELEMENTS
The meta object literal for the 'Elements' containment reference list feature.

Since:
  1.0

### MODEL_FRAGMENT___MERGE__MAPPLICATION

static final org.eclipse.emf.ecore.EOperation MODEL_FRAGMENT___MERGE__MAPPLICATION
The meta object literal for the 'Merge' operation.

Since:
  1.0

### STRING_MODEL_FRAGMENT

static final org.eclipse.emf.ecore.EClass STRING_MODEL_FRAGMENT
The meta object literal for the '`String Model Fragment`' class.

Since:
  1.0
See Also:
  - `StringModelFragmentImpl`
  - `FragmentPackageImpl.getStringModelFragment()`

### STRING_MODEL_FRAGMENT__FEATURENAME

static final org.eclipse.emf.ecore.EAttribute STRING_MODEL_FRAGMENT__FEATURENAME
The meta object literal for the 'Featurename' attribute feature.

Since:
  1.0

### STRING_MODEL_FRAGMENT__PARENT_ELEMENT_ID

static final org.eclipse.emf.ecore.EAttribute STRING_MODEL_FRAGMENT__PARENT_ELEMENT_ID
The meta object literal for the 'Parent Element Id' attribute feature.

Since:
  1.0

### STRING_MODEL_FRAGMENT__POSITION_IN_LIST

static final org.eclipse.emf.ecore.EAttribute STRING_MODEL_FRAGMENT__POSITION_IN_LIST
The meta object literal for the 'Position In List' attribute feature.

Since:
  1.0